Retrieve a user

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.zerionsoftware.com/doc/zerion-identity/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Zerion Identity MCP server": {
    "url": "https://apidocs.zerionsoftware.com/doc/zerion-identity/mcp"
  }
}

Close
GET /users/{user_id}

Path parameters

  • user_id string Required

    id of the user

Responses

  • 200 */*

    OK

    Hide response attributes Show response attributes object
    • created_date string
    • email string Required
    • entity_key_hashes array
    • failed_login_count number
    • first_name string
    • id string Required
    • last_login string
    • last_name string
    • modified_date string
    • profile_id number
    • server_id string
    • status number Required
    • username string Required
GET /users/{user_id}
curl \
 --request GET 'https://identity.zerionsoftware.com/v1/users/self' \
 --header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
  "created_date": "string",
  "email": "string",
  "entity_key_hashes": [],
  "failed_login_count": 42.0,
  "first_name": "string",
  "id": "string",
  "last_login": "string",
  "last_name": "string",
  "modified_date": "string",
  "profile_id": 42.0,
  "server_id": "string",
  "status": 42.0,
  "username": "string"
}